package com.bonus.canteen.core.supply.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.time.LocalDateTime;
import java.util.List;

@ApiModel
public class DrpSupplierComeAndGoPageDTO  {
   @ApiModelProperty("采购订单号")
   private String orderGoodsId;
   @ApiModelProperty("订单标题")
   private String orderTitle;
   @ApiModelProperty("入库状态(1已入库,2待入库,3部分入库)")
   private Integer intoStatus;
   @ApiModelProperty("供应商")
   private Long supplierId;
   @ApiModelProperty("制表开始时间")
   private LocalDateTime crtimeStart;
   @ApiModelProperty("制表结束时间")
   private LocalDateTime crtimeEnd;
   @ApiModelProperty("制表人")
   private String crby;
   @ApiModelProperty("区域id集合")
   private List<Long> areaIdList;
   private List<Long> areaAuth;


   public String getOrderGoodsId() {
      return this.orderGoodsId;
   }

   public String getOrderTitle() {
      return this.orderTitle;
   }

   public Integer getIntoStatus() {
      return this.intoStatus;
   }

   public Long getSupplierId() {
      return this.supplierId;
   }

   public LocalDateTime getCrtimeStart() {
      return this.crtimeStart;
   }

   public LocalDateTime getCrtimeEnd() {
      return this.crtimeEnd;
   }

   public String getCrby() {
      return this.crby;
   }

   public List<Long> getAreaIdList() {
      return this.areaIdList;
   }

   public List<Long> getAreaAuth() {
      return this.areaAuth;
   }

   public void setOrderGoodsId(final String orderGoodsId) {
      this.orderGoodsId = orderGoodsId;
   }

   public void setOrderTitle(final String orderTitle) {
      this.orderTitle = orderTitle;
   }

   public void setIntoStatus(final Integer intoStatus) {
      this.intoStatus = intoStatus;
   }

   public void setSupplierId(final Long supplierId) {
      this.supplierId = supplierId;
   }

   public void setCrtimeStart(final LocalDateTime crtimeStart) {
      this.crtimeStart = crtimeStart;
   }

   public void setCrtimeEnd(final LocalDateTime crtimeEnd) {
      this.crtimeEnd = crtimeEnd;
   }

   public void setCrby(final String crby) {
      this.crby = crby;
   }

   public void setAreaIdList(final List<Long> areaIdList) {
      this.areaIdList = areaIdList;
   }

   public void setAreaAuth(final List<Long> areaAuth) {
      this.areaAuth = areaAuth;
   }

   public String toString() {
      String var10000 = this.getOrderGoodsId();
      return "DrpSupplierComeAndGoPageDTO(orderGoodsId=" + var10000 + ", orderTitle=" + this.getOrderTitle() + ", intoStatus=" + this.getIntoStatus() + ", supplierId=" + this.getSupplierId() + ", crtimeStart=" + String.valueOf(this.getCrtimeStart()) + ", crtimeEnd=" + String.valueOf(this.getCrtimeEnd()) + ", crby=" + this.getCrby() + ", areaIdList=" + String.valueOf(this.getAreaIdList()) + ", areaAuth=" + String.valueOf(this.getAreaAuth()) + ")";
   }
}
